package org.neuroph.contrib.tileclassification.model.labels;

import java.util.List;
import java.util.StringTokenizer;

public class AnalogLabelResponses implements LabelResponses {
	private static final long serialVersionUID = 1L;

	public double[] createResponse(String inputLabel, List<String> targetLabels)
	{
		double[] response = new double[targetLabels.size()];
		int i=0;
		for(String target : targetLabels) {
			if(inputLabelMatchesTarget(inputLabel, target)) {
				response[i] = parseNumberFromLabel(inputLabel);
			} else {
				response[i] = 0d;
			}
			i++;
		}
		return response;
	}

	
	protected boolean inputLabelMatchesTarget(String inputLabel, String target)
	{
		return inputLabel.startsWith(target);
	}

	private double parseNumberFromLabel(String inputLabel) {
		StringTokenizer st = new StringTokenizer(inputLabel, "._");
		if(st.hasMoreTokens()) {
			st.nextToken();
			if(st.hasMoreTokens()) {
				String number = st.nextToken();
				try {
					int parsedNumber = Integer.parseInt(number);
					return parsedNumber / 100d;
				} catch(NumberFormatException nfe) {
					return 0d;
				}
			}
		}
		return 0d;
	}
}
