package org.neuroph.contrib.tileclassification.model.labels;

import java.util.List;


public class BinaryLabelResponses implements LabelResponses {
	private static final long serialVersionUID = 1L;

	public double[] createResponse(String inputLabel, List<String> targetLabels)
	{
		double[] response = new double[targetLabels.size()];
		int i=0;
		for(String target : targetLabels) {
			if(inputLabelMatchesTarget(inputLabel, target)) {
				response[i] = 1d;
			} else {
				response[i] = 0d;
			}
			i++;
		}
		return response;
	}
	
	protected boolean inputLabelMatchesTarget(String inputLabel, String target)
	{
		return inputLabel.startsWith(target);
	}

}
